com.genesyslab.wfm7.API.service.calendar750

## Class CalAvailabilityPattern

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar750.CalAvailabilityPattern

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAvailabilityPattern
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `dayOffset` Offset from the start of the week, where: 0 - Sunday; 1 - Monday; 2 - Tuesday; 3 - Wednesday; 4 - Thursday; 5 - Friday; 6 - Saturday
    `private int` | `duration` Duration of the availability
    `private double` | `endTime` Availability end time = start + duration
    `private double` | `startTime` Availability start time

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAvailabilityPattern()`
    `CalAvailabilityPattern(int dayOffset, double startTime, int duration, double endTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getDayOffset()` Gets the dayOffset value for this CalAvailabilityPattern.
    `int` | `getDuration()` Gets the duration value for this CalAvailabilityPattern.
    `double` | `getEndTime()` Gets the endTime value for this CalAvailabilityPattern.
    `double` | `getStartTime()` Gets the startTime value for this CalAvailabilityPattern.
    `int` | `hashCode()`
    `void` | `setDayOffset(int dayOffset)` Sets the dayOffset value for this CalAvailabilityPattern.
    `void` | `setDuration(int duration)` Sets the duration value for this CalAvailabilityPattern.
    `void` | `setEndTime(double endTime)` Sets the endTime value for this CalAvailabilityPattern.
    `void` | `setStartTime(double startTime)` Sets the startTime value for this CalAvailabilityPattern.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dayOffset

          private int dayOffset

      Offset from the start of the week, where: 0 - Sunday; 1 - Monday; 2 - Tuesday; 3 - Wednesday; 4 - Thursday; 5 - Friday; 6 - Saturday

    - #### startTime

          private double startTime

      Availability start time

    - #### duration

          private int duration

      Duration of the availability

    - #### endTime

          private double endTime

      Availability end time = start + duration

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalAvailabilityPattern

          public CalAvailabilityPattern()

    - #### CalAvailabilityPattern

          public CalAvailabilityPattern(int dayOffset,
                                double startTime,
                                int duration,
                                double endTime)

  - ### Method Detail

    - #### getDayOffset

          public int getDayOffset()

      Gets the dayOffset value for this CalAvailabilityPattern.
      Returns:
        dayOffset

    - #### setDayOffset

          public void setDayOffset(int dayOffset)

      Sets the dayOffset value for this CalAvailabilityPattern.
      Parameters:
        `dayOffset` -

    - #### getStartTime

          public double getStartTime()

      Gets the startTime value for this CalAvailabilityPattern.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(double startTime)

      Sets the startTime value for this CalAvailabilityPattern.
      Parameters:
        `startTime` -

    - #### getDuration

          public int getDuration()

      Gets the duration value for this CalAvailabilityPattern.
      Returns:
        duration

    - #### setDuration

          public void setDuration(int duration)

      Sets the duration value for this CalAvailabilityPattern.
      Parameters:
        `duration` -

    - #### getEndTime

          public double getEndTime()

      Gets the endTime value for this CalAvailabilityPattern.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(double endTime)

      Sets the endTime value for this CalAvailabilityPattern.
      Parameters:
        `endTime` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.